Bug 25430 - Improve the styling of the claims returned tab
Summary: Improve the styling of the claims returned tab
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26264 26561
  Show dependency treegraph
 
Reported: 2020-05-08 17:15 UTC by Kyle M Hall
Modified: 2020-11-17 11:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25430: Improve the styling of the claims returned tab (5.34 KB, patch)
2020-05-08 17:17 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25430: Improve the styling of the claims returned tab (5.40 KB, patch)
2020-06-23 14:38 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25430: Improve the styling of the claims returned tab (5.40 KB, patch)
2020-08-16 11:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25430: Use label-default for 0 (8.46 KB, patch)
2020-08-18 14:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25430: Use label-default for 0 (8.53 KB, patch)
2020-08-19 13:22 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-05-08 17:15:25 UTC
It has been suggested that it would be useful to add title attributes to the different numbers on the return claims tab in the checkouts and patron details pages. In addition, color coding them ( and removing the slash ) will make the numbers easier to read.
Comment 1 Kyle M Hall 2020-05-08 17:17:58 UTC
Created attachment 104608 [details] [review]
Bug 25430: Improve the styling of the claims returned tab

It has been suggested that it would be useful to add title attributes to the different numbers on the return claims tab in the checkouts and patron details pages. In addition, color coding them ( and removing the slash ) will make the numbers easier to read.

Test Plan:
1) Set up return claims for your system
2) Apply this patch
3) View the claims tab for someone with not claims, and someone with claims
4) Note the resolved claims are green and have a "tooltip" when hovered over
5) Note the unresolved claims are green if 0, and yellow if not 0, and
   also have a "tooltip"
Comment 2 ByWater Sandboxes 2020-06-23 14:38:20 UTC
Created attachment 106211 [details] [review]
Bug 25430: Improve the styling of the claims returned tab

It has been suggested that it would be useful to add title attributes to the different numbers on the return claims tab in the checkouts and patron details pages. In addition, color coding them ( and removing the slash ) will make the numbers easier to read.

Test Plan:
1) Set up return claims for your system
2) Apply this patch
3) View the claims tab for someone with not claims, and someone with claims
4) Note the resolved claims are green and have a "tooltip" when hovered over
5) Note the unresolved claims are green if 0, and yellow if not 0, and
   also have a "tooltip"

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-08-16 11:17:43 UTC
Created attachment 108350 [details] [review]
Bug 25430: Improve the styling of the claims returned tab

It has been suggested that it would be useful to add title attributes to the different numbers on the return claims tab in the checkouts and patron details pages. In addition, color coding them ( and removing the slash ) will make the numbers easier to read.

Test Plan:
1) Set up return claims for your system
2) Apply this patch
3) View the claims tab for someone with not claims, and someone with claims
4) Note the resolved claims are green and have a "tooltip" when hovered over
5) Note the unresolved claims are green if 0, and yellow if not 0, and
   also have a "tooltip"

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 4 Katrin Fischer 2020-08-16 11:18:39 UTC
I like that the added ids will also allow to hide the resolved claims making this stand out a little less when things are in order.
Comment 5 Jonathan Druart 2020-08-18 13:15:03 UTC
Those 2 green eyes are staring at me!
https://snipboard.io/MwrGmt.jpg
Comment 6 Kyle M Hall 2020-08-18 13:16:50 UTC
(In reply to Jonathan Druart from comment #5)
> Those 2 green eyes are staring at me!
> https://snipboard.io/MwrGmt.jpg

LOL!
Comment 7 Owen Leonard 2020-08-18 13:55:43 UTC
(In reply to Jonathan Druart from comment #5)
> Those 2 green eyes are staring at me!

It wouldn't help with the staring, but I do think perhaps "label-default" would be more correct for the "0" state.
Comment 8 Jonathan Druart 2020-08-18 14:44:48 UTC
Created attachment 108521 [details] [review]
Bug 25430: Use label-default for 0
Comment 9 Jonathan Druart 2020-08-18 14:45:18 UTC
Can I get an signoff on this follow-up?
Comment 10 Kyle M Hall 2020-08-19 13:22:50 UTC
Created attachment 108629 [details] [review]
Bug 25430: Use label-default for 0

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Jonathan Druart 2020-08-20 10:34:33 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 12 Lucas Gass 2020-09-04 17:14:13 UTC
enhancement will not be backported to 20.05.x
Comment 13 Jonathan Druart 2020-10-12 15:21:48 UTC
There is more work needed on this one, see 26561.